---
schema_version: "1"
id: 2bf0c7631c361349f2394ac48327280743ca8d0e139115c521535aff08a75f41
title: TMF651 v4 Agreement Management
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf651v5.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf651v5
source_site: developer.salesforce.com
content_type: documentation
content_hash: d9cc2009b2114f4a9b325cf230095d690b721d17a9cf169877c27f4197b93494
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF651 v4 Agreement Management

# TMF651 v4 Agreement Management

The TMF651 API allows querying, creation, update and deletion of agreement specifications.

**Version:** v1

Protocols: https.

## Operations

### GET Get a List of Agreement Specifications

`GET /agreementspecification`

Retrieves a list of Agreement Specification entities. Attribute selection is enabled for first-level attributes - name.

#### Parameters

*   `fields` (query, string) fields for attribute selection. supported values- name
*   `name` (query, string) Name of the Contract
*   `offset` (query, integer) Specifies the requested index for the start of the resources to be included in the response.
*   `pageLimit` (query, integer) Specifies the requested number of the resources to be included in the response.
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **200** successfully retrieved the agreement specification list
    
    Media type: `application/json`. Schema: `array of agreement_spec`.
    
    Array of `agreement_spec`.
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### POST Create an Agreement Specification

`POST /agreementspecification`

Creates a Agreement Specification entity.

#### Parameters

*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `agreement_spec_create`.

Specifies the Agreement Specification to be created.

_Example_

```
{
    "name" : "Sample Unique Name",
    "lifecycleStatus" : "Draft",
    "relatedParty": [
        {
        "id": "005xx000001X8CjAAK",
        "name": "Jimmy Doe"  
        }
    ],
    "attachment" : [
        {
            "id" : "069xx0000004D3UAAU"
        }
    ]    
}
```

#### Responses

*   **201** Created the Agreement Specification resource.
    
    Media type: `application/json`. Schema: `agreement_spec`.
    
    _Example_
    
    ```
    {
        "attachment": [
            {
                "attachmentType": "PDF",
                "href": "/services/data/v60.0/sobjects/attachment/069xx0000004D3UAAU",
                "id": "069xx0000004D3UAAU",
                "mimeType": "pdf",
                "name": "TMF651B_Agreement_Management_API_Conformance_Profile_R19.0.0"
            }
        ],
        "href": "/connect/comms/agreementmanagement/v4/agreementspecification/2dtxx00000000eLAAQ",
        "id": "2dtxx00000000eLAAQ",
        "lifecycleStatus": "Draft",
        "@type": "AgreementSpecification",
        "name": "Sample Unique Name",
        "relatedParty": [
            {
                "href": "/services/data/v60.0/sobjects/User/005xx000001X8CjAAK",
                "id": "005xx000001X8CjAAK",
                "name": "min user"
            }
        ]
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### GET Retrieve an Agreement Specification

`GET /agreementspecification/{id}`

Retrieves a Agreement Specification entity by id.

#### Parameters

*   `id` (path, string, required)
*   `fields` (query, string) fields for attribute selection. supported values- name
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `agreement_spec`.
    
    _Example: same as POST /agreementspecification 201 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### PATCH Update an Agreement Specification

`PATCH /agreementspecification/{id}`

This operation allows partial updates of a Agreement Specification entity by id.

#### Parameters

*   `id` (path, string, required)
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `agreement_spec_update`.

Specifies the Agreement Specification to be updated.

_Example_

```
{    
    "attachment" : [
        {
            "id" : "069xx0000004D56AAE"
        }
    ]      
}
```

#### Responses

*   **200** Updated the Agreement Specification.
    
    Media type: `application/json`. Schema: `agreement_spec`.
    
    _Example_
    
    ```
    {
        "attachment": [
            {
                "attachmentType": "JSON",
                "href": "/services/data/v60.0/sobjects/attachment/069xx0000004D56AAE",
                "id": "069xx0000004D56AAE",
                "mimeType": "json",
                "name": "OpenAPI-Framework.postman_collection"
            }
        ],
        "href": "/connect/comms/agreementmanagement/v4/agreementspecification/2dtxx00000000eLAAQ",
        "id": "2dtxx00000000eLAAQ",
        "lifecycleStatus": "Draft",
        "@type": "AgreementSpecification",
        "name": "Feb 24 - 4",
        "relatedParty": [
            {
                "href": "/services/data/v60.0/sobjects/User/005xx000001X8CjAAK",
                "id": "005xx000001X8CjAAK",
                "name": "min user"
            }
        ]
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### DELETE Delete an Agreement Specification

`DELETE /agreementspecification/{id}`

This operation allows deletion of a Agreement Specification by id.

#### Parameters

*   `id` (path, string, required)
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **204**
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### GET Get a List of Agreements

`GET /agreement`

Retrieves a list of Agreement entities. Attribute selection is enabled for first-level attributes - name.

#### Parameters

*   `fields` (query, string) fields for attribute selection. supported values- name
*   `name` (query, string) Name of the Contract
*   `offset` (query, integer) Specifies the requested index for the start of the resources to be included in the response.
*   `pageLimit` (query, integer) Specifies the requested number of the resources to be included in the response.
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **200** successfully retrieved the agreement list
    
    Media type: `application/json`. Schema: `array of agreement`.
    
    Array of `agreement`.
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### POST Create an Agreement

`POST /agreement`

Creates a Agreement entity.

#### Parameters

*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `agreement_create`.

Specifies the Agreement to be created.

_Example_

```
{      
    "name" : "features",
    "description" : "new statement",
    "agreementType" : "SampleContractType",
    "agreementTerm" : "6",
    "agreementPeriod": { 
        "startDateTime": "2018-04-20T00:00"
    },
    "engagedParty": [ 
        { 
         "id": "001xx000003GYiBAAW", 
         "name": "Edge Communications" 
         } 
    ],
    "associatedAgreement":  
    [ 
        { 
            "id" : "800xx000000bnlNAAQ",
            "name": "full contract"
        } 
    ],
    "agreementSpecification":
        { 
            "id" : "2dtxx0000000001AAA",
            "name": "Test Document 2"
        } 
    ,
    "agreementItem": 
    [
        {
        "productOffering": [
            {
            "id": "01txx0000006i2SAAQ",
            "name": "GenWatt Diesel 200kW"
            },
            {
            "id": "01txx0000006i2iAAA",
            "name": "Installation: Industrial - Medium"
            }
        ],
        "termOrCondition": [
            {
                "description": "condition 1",
                "id": "1",
                "validFor": {
                    "startDateTime": "2018-04-25T00:00",
                    "endDateTime": "2018-11-20T00:00"
                }
            },
            {
                "description": "condition 2",
                "id": "2",
                "validFor": {
                    "startDateTime": "2018-04-25T00:00",
                    "endDateTime": "2018-11-20T00:00"
                }
            }
        ]
        }
  ] 
}
```

#### Responses

*   **201** Created the Agreement resource.
    
    Media type: `application/json`. Schema: `agreement`.
    
    _Example_
    
    ```
    {
        "id": "800xx000000bp41AAA",
        "href": "/connect/comms/agreementmanagement/v4/agreement/800xx000000bp41AAA",
        "name": "features",
        "agreementType": "SampleContractType",
        "description": "new statement",
        "documentNumber": "00000156",
        "status": "Draft",
        "@type": "Agreement",
        "completionDate": "Fri Oct 19 00:00:00 GMT 2018",
        "agreementPeriod": {
            "startDateTime": "Fri Apr 20 00:00:00 GMT 2018"
        },
        "engagedParty": [
            {
                "id": "001xx000003GYiBAAW",
                "href": "/services/data/v60.0/sobjects/Account/001xx000003GYiBAAW",
                "name": "Edge Communications",
                "role": "Customer - Direct",
                "referredType": "Account"
            }
        ],
        "associatedAgreement": [
            {
                "id": "800xx000000bnlNAAQ",
                "href": "/services/data/v60.0/sobjects/Contract/800xx000000bnlNAAQ",
                "name": "full contract 1",
                "referredType": "Parent Contract"
            }
        ],
        "agreementSpecification": {
            "id": "2dtxx0000000001AAA",
            "href": "/connect/comms/AGREEMENTMANAGEMENT/v4/AGREEMENT/2dtxx0000000001AAA",
            "name": "Test Document 2",
            "referredType": "Document Template"
        },
        "agreementItem": [
            {
                "productOffering": [
                    {
                        "id": "01txx0000006i2SAAQ",
                        "href": "/services/data/v60.0/sobjects/Product2/01txx0000006i2SAAQ",
                        "name": "GenWatt Diesel 200kW",
                        "referredType": "ProductOffering"
                    },
                    {
                        "id": "01txx0000006i2iAAA",
                        "href": "/services/data/v60.0/sobjects/Product2/01txx0000006i2iAAA",
                        "name": "Installation: Industrial - Medium",
                        "referredType": "ProductOffering"
                    }
                ],
                "termOrCondition": [
                    {
                        "description": "condition 1",
                        "id": "1",
                        "validFor": {
                            "startDateTime": "Wed Apr 25 00:00:00 GMT 2018",
                            "endDateTime": "Tue Nov 20 00:00:00 GMT 2018"
                        }
                    },
                    {
                        "description": "condition 2",
                        "id": "2",
                        "validFor": {
                            "startDateTime": "Wed Apr 25 00:00:00 GMT 2018",
                            "endDateTime": "Tue Nov 20 00:00:00 GMT 2018"
                        }
                    }
                ]
            }
        ]
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### GET Retrieve an Agreement

`GET /agreement/{id}`

Retrieves a Agreement entity by id.

#### Parameters

*   `id` (path, string, required)
*   `fields` (query, string) fields for attribute selection. supported values- name
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `agreement`.
    
    _Example_
    
    ```
    {
      "agreementType": "SampleContractType",
      "documentNumber": "00000156",
      "@type": "Agreement",
      "description": "new statement",
      "name": "features",
      "completionDate": "Fri Oct 19 00:00:00 GMT 2018",
      "id": "800xx000000bp41AAA",
      "status": "Draft",
      "href": "/connect/comms/agreementmanagement/v4/agreement/800xx000000bp41AAA",
      "agreementPeriod": {
        "startDateTime": "Fri Apr 20 00:00:00 GMT 2018"
      },
      "associatedAgreement": [
        {
          "id": "800xx000000bnlNAAQ",
          "href": "/services/data/v60.0/sobjects/Contract/800xx000000bnlNAAQ",
          "name": "full contract 1",
          "referredType": "Parent Contract"
        }
      ],
      "agreementSpecification": {
        "id": "2dtxx0000000001AAA",
        "href": "/connect/comms/AGREEMENTMANAGEMENT/v4/AGREEMENT/2dtxx0000000001AAA",
        "name": "Test Document 2",
        "referredType": "Document Template"
      },
      "agreementItem": [
        {
          "productOffering": [
            {
              "id": "01txx0000006i2SAAQ",
              "href": "/services/data/v60.0/sobjects/Product2/01txx0000006i2SAAQ",
              "name": "GenWatt Diesel 200kW",
              "referredType": "ProductOffering"
            },
            {
              "id": "01txx0000006i2iAAA",
              "href": "/services/data/v60.0/sobjects/Product2/01txx0000006i2iAAA",
              "name": "Installation: Industrial - Medium",
              "referredType": "ProductOffering"
            }
          ],
          "termOrCondition": [
            {
              "description": "condition 1",
              "id": "1",
              "validFor": {
                "startDateTime": "Wed Apr 25 00:00:00 GMT 2018",
                "endDateTime": "Tue Nov 20 00:00:00 GMT 2018"
              }
            },
            {
              "description": "condition 2",
              "id": "2",
              "validFor": {
                "startDateTime": "Wed Apr 25 00:00:00 GMT 2018",
                "endDateTime": "Tue Nov 20 00:00:00 GMT 2018"
              }
            }
          ]
        }
      ],
      "engagedParty": [
        {
          "id": "001xx000003GYiBAAW",
          "href": "/services/data/v60.0/sobjects/Account/001xx000003GYiBAAW",
          "name": "Edge Communications",
          "role": "Customer - Direct",
          "referredType": "Account"
        }
      ]
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### PATCH Update an Agreement

`PATCH /agreement/{id}`

This operation allows partial updates of a Agreement entity by id.

#### Parameters

*   `id` (path, string, required)
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Request body

Media type: `application/json`. Schema: `agreement_update`.

Specifies the Agreement to be updated.

_Example_

```
{   
    "description" : "Sample description - updated",
    "engagedParty": [ 
        { 
         "id": "001xx000003GYiGAAW", 
         "name": "United Oil & Gas Corp." 
         } 
    ],
    "associatedAgreement":  
    [ 
        { 
            "id" : "800xx000000bnmzAAA",
            "name": "full contract 2"
        } 
    ],
    "agreementSpecification":
        { 
            "id" : "2dtxx000000001dAAA",
            "name": "Test Document 3"
        } 
    ,
    "agreementItem": [
        {
        "productOffering": [
            {
            "id": "01txx0000006i2TAAQ",
            "name": "GenWatt Diesel 10kW"
            }
        ],
        "termOrCondition": [
            {
            "description": "updated termOrCondition",
            "id": "1",
            "validFor": {
                "startDateTime": "2018-04-25T00:00",
                "endDateTime": "2019-11-20T00:00"
            }
            }
      ]
    }
  ]
}
```

#### Responses

*   **200** Updated the Agreement.
    
    Media type: `application/json`. Schema: `agreement`.
    
    _Example_
    
    ```
    {
        "id": "800xx000000bp41AAA",
        "href": "/connect/comms/agreementmanagement/v4/agreement/800xx000000bp41AAA",
        "name": "features",
        "agreementType": "SampleContractType",
        "description": "Sample description - updated",
        "documentNumber": "00000156",
        "status": "Draft",
        "@type": "Agreement",
        "completionDate": "Fri Oct 19 00:00:00 GMT 2018",
        "agreementPeriod": {
            "startDateTime": "Fri Apr 20 00:00:00 GMT 2018"
        },
        "engagedParty": [
            {
                "id": "001xx000003GYiGAAW",
                "href": "/services/data/v60.0/sobjects/Account/001xx000003GYiGAAW",
                "name": "United Oil &amp; Gas Corp.",
                "role": "Customer - Direct",
                "referredType": "Account"
            }
        ],
        "associatedAgreement": [
            {
                "id": "800xx000000bnmzAAA",
                "href": "/services/data/v60.0/sobjects/Contract/800xx000000bnmzAAA",
                "name": "full contract 1",
                "referredType": "Parent Contract"
            }
        ],
        "agreementSpecification": {
            "id": "2dtxx000000001dAAA",
            "href": "/connect/comms/AGREEMENTMANAGEMENT/v4/AGREEMENT/2dtxx000000001dAAA",
            "name": "Test Document 3",
            "referredType": "Document Template"
        },
        "agreementItem": [
            {
                "productOffering": [
                    {
                        "id": "01txx0000006i2TAAQ",
                        "href": "/services/data/v60.0/sobjects/Product2/01txx0000006i2TAAQ",
                        "name": "GenWatt Diesel 10kW",
                        "referredType": "ProductOffering"
                    }
                ],
                "termOrCondition": [
                    {
                        "description": "updated termOrCondition",
                        "id": "1",
                        "validFor": {
                            "startDateTime": "Wed Apr 25 00:00:00 GMT 2018",
                            "endDateTime": "Wed Nov 20 00:00:00 GMT 2019"
                        }
                    }
                ]
            }
        ]
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

### DELETE Delete an Agreement

`DELETE /agreement/{id}`

This operation allows deletion of a Agreement by id.

#### Parameters

*   `id` (path, string, required)
*   `Authorization` (header, string, required) Specifies the bearer token to use for the authentication of request.
*   `Version` (header, string, required) Specifies the version to use with the URL path. version should be greater than or equal to v61.0
*   `Domain-Name` (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

#### Responses

*   **204**
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `Error`.
    
    _Example_
    
    ```
    code: RECORD_NOT_FOUND
    reason: The specified resource ID doesn’t exist. Provide a valid resource ID and try again.
    ```
    

## Schemas

### agreement\_spec

Agreement specification object

*   `href` (_string_, required) URI of the DocumentTemplate
*   `id` (_string_, required) Unique identifier of the Salesforce DocumentTemplate record
*   `lifecycleStatus` (_string_) Specifies the status of the document template
*   `name` (_string_, required) Name of the DocumentTemplate
*   `@type` (_string_) Type of the TMF Entity e.g. AgreementSpecification
*   `attachment` (_array of object_, required) Specifies the Content Document associated with DocumentTemplate
    
    Includes all fields of `attachmentRef`.
    
*   `relatedParty` (_array of object_) Owner of the DocumentTemplate
    
    Includes all fields of `relatedPartyRef`.
    

### Error

Shown when an API throws an error, typically with an HTTP error response code (3xx, 4xx, or 5xx).

*   `code` (_string_, required) Specifies the application-relevant detail defined in the API or a common list.
*   `reason` (_string_, required) Describes the reason for the error, which can be shown to a client user.

### agreement\_spec\_create

Agreement specification creation object

*   `lifecycleStatus` (_string_) Specifies the status of the document template
*   `name` (_string_, required) Name of the DocumentTemplate
*   `attachment` (_array of object_, required) Specifies the Content Document associated with DocumentTemplate
    
    Includes all fields of `attachmentRef`.
    
*   `relatedParty` (_array of object_) Owner of the DocumentTemplate
    
    Includes all fields of `relatedPartyRef`.
    

### agreement\_spec\_update

Agreement specification updation object

*   `attachment` (_array of object_, required) Specifies the Content Document associated with DocumentTemplate
    
    Includes all fields of `attachmentRef_update`.
    

### agreement

Agreement object

*   `href` (_string_, required) URI of the Contract
*   `id` (_string_, required) Unique identifier of the Salesforce Contract record
*   `name` (_string_, required) Name of the Contract
*   `agreementType` (_string_, required) The type of the Contract
*   `@type` (_string_) Type of the TMF Entity e.g. Agreement
*   `agreementPeriod` (_object_) The time period during which the Agreement is in effective.
    
    Includes all fields of `agreementPeriodRef`.
    
*   `completionDate` (_string_) Date at which the contract is completed.
*   `description` (_string_) Description of the contract.
*   `documentNumber` (_string_) Number of the contract.
*   `initialDate` (_datetime_) Date on which the customer signed the contract.
*   `statementOfIntent` (_string_) An overview and goals of the Agreement.
*   `status` (_string_) Status of the contract.
*   `associatedAgreement` (_array of object_) Specifies the Parent Contract associated with Contract.
    
    Includes all fields of `associatedAgreementRef`.
    
*   `agreementItem` (_array of object_, required) DocumentTemplate associated with Contract
    
    Includes all fields of `agreementItemRef`.
    
*   `agreementSpecifcation` (_object_) Owner of the DocumentTemplate
    
    Includes all fields of `agreementSpecificationRef`.
    
*   `engagedParty` (_array of object_, required) Account associated with Contract.
    
    Includes all fields of `engagedPartyRef`.
    

### agreement\_create

Agreement specification creation object

*   `name` (_string_, required) Name of the Contract
*   `agreementType` (_string_, required) The type of the Contract
*   `agreementTerm` (_string_, required) The term of the Contract
*   `agreementPeriod` (_object_, required) The time period during which the Agreement is in effective.
    
    Includes all fields of `agreementPeriodRef`.
    
*   `engagedParty` (_array of object_, required) Account associated with Contract.
    
    Includes all fields of `engagedPartyRef_create`.
    
*   `agreementItem` (_array of object_, required) DocumentTemplate associated with Contract
    
    Includes all fields of `agreementItemRef`.
    
*   `description` (_string_) Description of the contract.
*   `associatedAgreement` (_array of object_) Specifies the Parent Contract associated with Contract.
    
    Includes all fields of `associatedAgreementRef`.
    
*   `agreementSpecifcation` (_object_) Owner of the DocumentTemplate
    
    Includes all fields of `agreementSpecificationRef`.
    

### agreement\_update

Agreement updation object

*   `description` (_string_) Description of the contract.
*   `engagedParty` (_array of object_) Account associated with Contract.
    
    Includes all fields of `engagedPartyRef_create`.
    
*   `agreementItem` (_array of object_) DocumentTemplate associated with Contract
    
    Includes all fields of `agreementItemRef`.
    
*   `associatedAgreement` (_array of object_) Specifies the Parent Contract associated with Contract.
    
    Includes all fields of `associatedAgreementRef`.
    
*   `agreementSpecification` (_object_) Owner of the DocumentTemplate
    
    Includes all fields of `agreementSpecificationRef`.
    

### attachmentRef

*   `attachmentType` (_string_) Type of the ContentDocument
*   `id` (_string_, required) Id of the ContentDocument
*   `mimeType` (_string_) Specifies the mimetype of the ContentDocument
*   `name` (_string_) Title of the ContentDocument

### relatedPartyRef

*   `id` (_string_, required) SF id of the user
*   `name` (_string_) name of the User

### attachmentRef\_update

*   `id` (_string_, required) Id of the ContentDocument

### agreementPeriodRef

*   `startDateTime` (_string_) Contract Period of the contract

### associatedAgreementRef

*   `id` (_string_) SF id of the associated contract
*   `name` (_string_) Name of the associated contract
*   `href` (_string_) URI of associated contract
*   `referredType` (_string_) String value 'Parent Contract'

### agreementItemRef

*   `productOffering` (_array of object_, required) Sales Contract Line associated with Contract.
    
    Includes all fields of `productOfferingRef`.
    
*   `termOrCondition` (_array of object_, required) Obligation associated with Contract.
    
    Includes all fields of `termOrConditionRef`.
    

### agreementSpecificationRef

*   `id` (_string_) SF id of the Document Template
*   `name` (_string_) Name of the Document Template
*   `referredType` (_string_) String value 'Document Template'.

### engagedPartyRef

*   `id` (_string_) SF id of the account
*   `name` (_string_, required) Name of the account
*   `role` (_string_, required) Role of the account
*   `href` (_string_) URI of the account associated with the contract
*   `referredType` (_string_) String value 'Account'.

### engagedPartyRef\_create

*   `id` (_string_, required) SF id of the account
*   `name` (_string_) Name of the account
*   `role` (_string_) Role of the account
*   `referredType` (_string_) String value 'Account'.

### productOfferingRef

*   `id` (_string_, required) SF id of the Product Offering associated with the agreement item.
*   `name` (_string_, required) Name of the Product Offering associated with the agreement item.
*   `href` (_string_) URI of associated Product Offering associated with the agreement item.
*   `referredType` (_string_) String value 'ProductOffering'

### termOrConditionRef

*   `id` (_string_) SF id of the Obligation associated with the agreement item.
*   `description` (_string_) Description of the Obligation associated with the agreement item.
*   `validFor` (_object_, required)
    *   `startDateTime` (_string_) Start DateTime of related Obligation
    *   `endDateTime` (_string_) End DateTime of related Obligation